AI Visibility
/projects/{project_uid}/ai-visibility/optionsReturns public provider and locale options, project settings, and prompt usage.
Authorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/options"{ "data": {}}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/overviewReturns stored trends, recent mentions, top sources, competitor ranking, and share of voice. This does not run a new analysis.
Authorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/overview"{ "data": {}}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/mentionsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
length <= 2501 <= valueMaximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/mentions"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/answers/{answer_id}Authorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
1 <= valueAccessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/answers/1"{ "data": {}}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/answers/{answer_id}/citationsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
1 <= valueAccessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/answers/1/citations"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/promptsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
length <= 2502 <= length <= 22 <= length <= 101 <= valueMaximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/prompts"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/promptsAdds 1 to 20 unique prompts for one country and language. Analysis follows the project's normal schedule.
Authorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/ai-visibility/prompts" \ -H "Content-Type: application/json" \ -d '{ "prompts": [ "string" ], "country_code": "st", "language_code": "string" }'{ "data": [ { "id": 0, "prompt": "string", "country_code": "string", "language_code": "string", "status": "pending" } ]}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/prompts/{prompt_id}/answersAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
1 <= valueAccessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/prompts/1/answers"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/prompts/{prompt_id}/citationsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
1 <= valueAccessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/prompts/1/citations"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/prompts/{prompt_id}Soft-deletes a project-scoped prompt.
Authorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/projects/string/ai-visibility/prompts/1"{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/sourcesAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
"domain"Value in
- "domain"
- "page"
length <= 255Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/sources"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/sources/domains/{domain}/citationsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
length <= 255Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/sources/domains/string/citations"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/sources/domains/{domain}/promptsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
length <= 255Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/sources/domains/string/prompts"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/sources/urls/{url_hash}/citationsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
^[A-Fa-f0-9]{64}$Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/sources/urls/string/citations"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}/projects/{project_uid}/ai-visibility/sources/urls/{url_hash}/promptsAuthorization
bearerApiKey Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
^[A-Fa-f0-9]{64}$Accessible project UID. Discover it with GET /projects; do not guess it.
^[a-z0-9]{10}$Query Parameters
Maximum records to return. Defaults to 50.
1 <= value <= 10050Opaque cursor returned by the prior response. Do not construct or alter it.
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/ai-visibility/sources/urls/string/prompts"{ "data": [ {} ], "links": { "first": "http://example.com", "last": "http://example.com", "prev": "http://example.com", "next": "http://example.com" }, "meta": { "path": "http://example.com", "per_page": 0, "next_cursor": "string", "prev_cursor": "string" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}